OpenAPI operations
Update an application
const url = 'https://api.hooks.events/v1/applications/example';const options = { method: 'PATCH', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"name":"example","brandColor":"example","customDomain":"example","status":"active"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://api.hooks.events/v1/applications/example \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "name": "example", "brandColor": "example", "customDomain": "example", "status": "active" }'Requires the endpoints:write scope.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Request Bodyrequired
Section titled “Request Bodyrequired”Responses
Section titled “Responses”Success
Tenant application (one end customer)
object
Resource id
Customer-side identifier, unique per workspace
Portal accent color
Customer hostname that fronts the portal
Backing endpoint that receives the application’s messages
Public URL of the backing endpoint
ISO-8601 timestamp
ISO-8601 timestamp
Example
{ "status": "active"}Validation error
object
object
Machine-readable error code
Request id, also echoed in x-request-id
Example generated
{ "error": { "code": "example", "message": "example", "requestId": "example" }}Missing or invalid credentials
object
object
Machine-readable error code
Request id, also echoed in x-request-id
Example generated
{ "error": { "code": "example", "message": "example", "requestId": "example" }}The credential lacks the required scope, or the workspace is not writable
object
object
Machine-readable error code
Request id, also echoed in x-request-id
Example generated
{ "error": { "code": "example", "message": "example", "requestId": "example" }}Resource not found
object
object
Machine-readable error code
Request id, also echoed in x-request-id
Example generated
{ "error": { "code": "example", "message": "example", "requestId": "example" }}Rate limited
object
object
Machine-readable error code
Request id, also echoed in x-request-id
Example generated
{ "error": { "code": "example", "message": "example", "requestId": "example" }}Headers
Section titled “Headers”Requests allowed per window
Seconds until the window resets